<?php
// $Id: template.php,v 1.1 2008/06/30 04:42:05 johnforsythe Exp $
// A3 Atlantis
// John Forsythe, john [at] blamcast [dot] net

// We need jquery included on all admin pages.
if (arg(0) == 'admin') {
  drupal_add_js('misc/jquery.js');
}

function a3_atlantis_regions() {
  return array(
    'header' => t('header'),
    'sidebar_left' => t('left sidebar'),
    'sidebar_right' => t('right sidebar'),
    'footer' => t('footer'),
  );
}

// Fix for search box causing invalid xhtml (see http://drupal.org/node/111719).
function phptemplate_submit($element) {
  global $elementCount;
  return str_replace('edit-submit', 'edit-submit-' . ++$elementCount, theme('button', $element));
}

function _phptemplate_variables($hook, $vars = array()) {
  switch ($hook) {
    case 'comment':
      // Detect comments by node author.
      $node = node_load($vars['comment']->nid);
      if ($vars['comment']->uid == $node->uid) {
        $vars['author_comment'] = TRUE;
      }
      break;
  }

  return $vars;
}

// Removes performance-killing "next topic" links.
function phptemplate_forum_topic_navigation($node) {
  return '';
}